Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.staging.kathan.tech/calls/{call_id} \ --header 'Authorization: Bearer <token>' \ --header 'X-User-ID: <api-key>'
import requestsurl = "https://api.staging.kathan.tech/calls/{call_id}"headers = { "Authorization": "Bearer <token>", "X-User-ID": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-User-ID': '<api-key>'}};fetch('https://api.staging.kathan.tech/calls/{call_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.staging.kathan.tech/calls/{call_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "X-User-ID: <api-key>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.staging.kathan.tech/calls/{call_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("X-User-ID", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.staging.kathan.tech/calls/{call_id}") .header("Authorization", "Bearer <token>") .header("X-User-ID", "<api-key>") .asString();
require 'uri'require 'net/http'url = URI("https://api.staging.kathan.tech/calls/{call_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer <token>'request["X-User-ID"] = '<api-key>'response = http.request(request)puts response.read_body
{ "id": "<string>", "to_number": "<string>", "provider": "<string>", "status": "<string>", "phone_number_id": "<string>", "assistant_id": "<string>", "from_number": "<string>", "provider_call_sid": "<string>", "direction": "<string>", "created_at": "<string>", "started_at": "<string>", "ended_at": "<string>", "ended_reason": "<string>", "duration_seconds": 123, "timestamp": "<string>", "summary": "<string>", "user_messages": 123, "agent_messages": 123, "recording_url": "<string>", "stereo_recording_url": "<string>", "recording_mp3_url": "<string>", "stereo_recording_mp3_url": "<string>", "latency_metrics": {}, "per_turn_latency": [ "<unknown>" ], "cost": 123, "total_credits": 123, "cost_breakdown": {}, "costs": [ "<unknown>" ], "transcript": [ "<unknown>" ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
API key authentication.
Required user id for API key requests.
Successful Response
Was this page helpful?